Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Dirent_Selector Class Reference

`#include <Dirent_Selector.h>`

Collaboration diagram for ACE_Dirent_Selector:

[legend]
List of all members.

## Public Methods
| ACE_Dirent_Selector (void)
| Constructor.
virtual | ~ACE_Dirent_Selector (void)
| Destructor.
int | length (void) const
| Return the length of the list of matching directory entries.
dirent* | operator[] (const int index) const
| Return the entry at <index>.
int | close (void)
| Free up resources.
int | open (const ACE_TCHAR *dir, int (*selector)(const dirent *d) = 0, int (*comparator)(const dirent **d1, const dirent **d2) = 0)
| Open the director <dir> and populate the <namelist_> array with directory entries that match the <selector> and <comparator>.
## Protected Attributes
dirent** | namelist_
| Ptr to the namelist array.
int | n_
| # of entries in the array.

## Constructor & Destructor Documentation

ACE_Dirent_Selector::ACE_Dirent_Selector ( | void )`[inline]`

| Constructor.

ACE_Dirent_Selector::~ACE_Dirent_Selector ( | void )`[virtual]`

| Destructor.

## Member Function Documentation

int ACE_Dirent_Selector::close ( | void )

| Free up resources.

ACE_INLINE int ACE_Dirent_Selector::length ( | void ) const

| Return the length of the list of matching directory entries.

int ACE_Dirent_Selector::open ( | const ACE_TCHAR * dir,
| int(* selector)(const dirent *d) = 0,
| int(* comparator)(const dirent **d1,const dirent **d2) = 0 )

| Open the director <dir> and populate the <namelist_> array with directory entries that match the <selector> and <comparator>.

ACE_INLINE dirent * ACE_Dirent_Selector::operator[] ( | const int n ) const

| Return the entry at <index>.

## Member Data Documentation

int ACE_Dirent_Selector::n_`[protected]`

| # of entries in the array.

dirent ** ACE_Dirent_Selector::namelist_`[protected]`

| Ptr to the namelist array.

The documentation for this class was generated from the following files:

- Dirent_Selector.h
- Dirent_Selector.cpp
- Dirent_Selector.inl